using CsvHelper.Configuration.Attributes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ArtikelUpdateOpencart.Import.Models
{
    public class AlsoArtikel
    {
        [Index(0)]
        public string AlsoNr { get; set; } = string.Empty;
        [Index(1)]
        public string HerstellerNr { get; set; } = string.Empty;
        [Index(2)]
        public string Hersteller { get; set; } = string.Empty;
        [Index(3)]
        public string EAN { get; set; } = string.Empty;
        [Index(4)]
        public string ArtikelBeschreibung { get; set; } = string.Empty;
        [Index(5)]
        public int? Stueckzahl { get; set; }
        [Index(6)]
        public decimal EK { get; set; }
        [Index(7)]
        public decimal? UVP { get; set; }
        [Index(8)]
        public string ArtikelGruppe1 { get; set; } = string.Empty;
        [Index(9)]
        public string ArtikelGruppe2 { get; set; } = string.Empty;
        [Index(10)]
        public string ArtikelGruppe3 { get; set; } = string.Empty;
        [Index(11)]
        public string LetzteZeile1 { get; set; } = string.Empty;
        [Index(12)]
        public string LetzteZeile2 { get; set; } = string.Empty;
    }
}
